LUC_HMP< H > Struct Template Reference

LUC-HMP, based on "Digital signature schemes based on Lucas functions" by Patrick Horster, Markus Michels, Holger Petersen. More...

Inheritance diagram for LUC_HMP< H >:

## Additional Inherited Members

Public Types inherited from DL_SS< DL_SignatureKeys_LUC, DL_Algorithm_LUC_HMP, DL_SignatureMessageEncodingMethod_DSA, H >
typedef PK_FinalTemplate< DL_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate< DL_VerifierImpl< SchemeOptions > > | Verifier
| implements PK_Verifier interface
Public Types inherited from DL_SignatureKeys_LUC
typedef DL_GroupParameters_LUC | GroupParameters
typedef DL_PublicKey_GFP< GroupParameters > | PublicKey
typedef DL_PrivateKey_GFP< GroupParameters > | PrivateKey
Static Public Member Functions inherited from DL_SS< DL_SignatureKeys_LUC, DL_Algorithm_LUC_HMP, DL_SignatureMessageEncodingMethod_DSA, H >
static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class H>
struct LUC_HMP< H >

LUC-HMP, based on "Digital signature schemes based on Lucas functions" by Patrick Horster, Markus Michels, Holger Petersen.

Definition at line 262 of file luc.h.

The documentation for this struct was generated from the following file:

- luc.h